Imports System.ComponentModel.DataAnnotations
Imports System.ComponentModel.DataAnnotations.Schema

Namespace DomainClasses
  <Table("Customers")>
  Public Class CustomerReference
	<Key>
	Public Property Id As Integer

	Private privateFirstName As String
	<StringLength(40)>
	Public Property FirstName As String
		Get
			Return privateFirstName
		End Get
		Private Set(ByVal value As String)
			privateFirstName = value
		End Set
	End Property

	Private privateLastName As String
	<StringLength(40)>
	Public Property LastName As String
		Get
			Return privateLastName
		End Get
		Private Set(ByVal value As String)
			privateLastName = value
		End Set
	End Property

	Public ReadOnly Property FullName As String
	  Get
		  Return String.Concat(FirstName & " " & LastName)
	  End Get
	End Property

	Public ReadOnly Property FullNameReverse As String
	  Get
		  Return String.Concat(LastName & ", " & FirstName)
	  End Get
	End Property
  End Class
End Namespace
