Imports System.ComponentModel.DataAnnotations
Imports System.ComponentModel.DataAnnotations.Schema

Namespace DomainClasses
  <Table("ItemsToBeShipped")>
  Public Class ItemToBeShipped
	<Key>
	Public Property LineItemId As Integer

	Public Property OrderId As Integer

	Public Property ProductName As String

	Public Property ProductNumber As String
	Private privateQuantity As Integer
	Public Property Quantity As Integer
		Get
			Return privateQuantity
		End Get
		Private Set(ByVal value As Integer)
			privateQuantity = value
		End Set
	End Property

	Public Property OrderShippingDetails As OrderShippingDetail
  End Class

  <Table("LineItems")>
  Public Class ShippedLineItem
	 <Key>
	 Public Property LineItemId As Integer

	 Public Property ShipmentId As Integer

	 Public Property Shipment As Shipment
  End Class
End Namespace
